# Class CIM_StorageSynchronized
extends CIM_Synchronized

Indicates that two Storage objects were replicated at the specified point in time. If the CopyType property is set to 'Sync' (=3), then synchronization of the Storage objects is preserved.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Synchronized
|
+--CIM_StorageSynchronized

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Indicates that two Storage objects were replicated at the specified point in time. If the CopyType property is set to 'Sync' (=3), then synchronization of the Storage objects is preserved.
UMLPackagePath | string | CIM::Device::StorageServices
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CopyType | uint16 |
Description | string | CopyType describes the Replication Policy. Values are: Async: create and maintain an asynchronous copy of the source. Sync: create and maintain a synchronized copy of the source. UnSyncAssoc: create an unsynchronized copy and maintain an association to the source.
ValueMap | string | 2, 3, 4, .., 0x8000..
Values | string | Async, Sync, UnSyncAssoc, DMTF Reserved, Vendor Specific
ReplicaType | uint16 |

Description

string

ReplicaType provides information on how the Replica is being maintained. Values are: Full Copy: This indicates that a full copy of the source object is (or will be) generated . Before Delta: This indicates that the source object will be maintained as a delta data from the replica. After Delta: This indicates that the replica will be maintained as delta data from the source object. Log: This indicates that the replica object is being maintained as a log of changes to the source. Not Specified: The method of maintaining the copy is not specified.

ValueMap | string | 0, 2, 3, 4, 5, .., 0x8000..
Values | string | Not Specified, Full Copy, Before Delta, After Delta, Log, DMTF Reserved, Vendor Specific
SyncState | uint16 |

Description

string

SyncState describes the state of the association with respect to Replication activity. Values are: Initialized: The link to enable replication is established. PrepareInProgress: Preparation for Replication is in progress. Prepared: All necessary preparation has completed. ResyncInProgress: Synchronization or Resynchronization is in progress. This may be the initial 'copy' or subsequent changes being copied. Synchronized: An Async or Sync replication is currently synchronized. When this value is set, SyncMaintained will be true. FractureInProgress: An operation to fracture an Async or Sync replication is in progress. Fractured: An Async or Sync replication is fractured. QuiesceInProgress: A quiesce operation is in progress. Quiesced: The replication has been quiesced and is ready for a change. RestoreInProgress: An operation is in progress to copy the Synced object to the System object. Idle: The 'normal' state for an UnSyncAssoc replica. Broken: The relationship is non-functional due to errors in the source, the target, the path between the two or space constraints.

ValueMap | string | 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, .., 0x8000..
Values | string | Initialized, PrepareInProgress, Prepared, ResyncInProgress, Synchronized, Fracture In Progress, QuiesceInProgress, Quiesced, Restore In Progresss, Idle, Broken, Fractured, DMTF Reserved, Vendor Specific

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
SyncedElement | CIM_StorageSynchronized | CIM_ManagedElement
SystemElement | CIM_StorageSynchronized | CIM_ManagedElement

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
SyncMaintained | boolean | CIM_Synchronized
WhenSynced | datetime | CIM_Synchronized

## Class Methods